ActiveAdmin.register Country do
  # See permitted parameters documentation:
  # https://github.com/activeadmin/activeadmin/blob/master/docs/2-resource-customization.md#setting-up-strong-parameters
  #
  # Uncomment all parameters which should be permitted for assignment
  #
  permit_params :name, :code, :region_id
  #
  # or
  #
  # permit_params do
  #   permitted = [:name, :code, :slug, :region_id]
  #   permitted << :other if params[:action] == 'create' && current_user.admin?
  #   permitted
  # end
  index do
    selectable_column
    id_column
    column :name
    column :code
    column :region
    column :cities_count do |country|
      country.cities.count
    end
    actions
  end

  form do |f|
    f.inputs do
      f.input :region
      f.input :name
      f.input :code
    end
    f.actions
  end
end
